Bug 189858 - /etc/profile.d/cvs.sh overwrite personal settings
/etc/profile.d/cvs.sh overwrite personal settings
Product: Fedora
Classification: Fedora
Component: cvs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-04-25 05:14 EDT by Axel
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-09 08:09:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Axel 2006-04-25 05:14:09 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. my .bash_profile sets and exports CVS_SSH to my-ssh

Actual results:
when I open a terminal, CVS_SSH is set to ssh

Expected results:
CVS_SSH is set to my-ssh

Additional info
according to bash man page, this should not happen
installation is pretty much out of the box
Comment 1 Santeri Paavolainen 2006-05-05 08:04:58 EDT
Here's a simple fix. Change /etc/profile.d/cvs.sh to the following:

  # change default from rsh to ssh for cvs command
  export CVS_RSH=${CVS_RSH-ssh}

This will cause CVS_RSH to default to ssh, unless the user has already set CVS_RSH .
Comment 2 Martin Stransky 2006-05-09 08:09:57 EDT
updated in cvs, thanks.

Note You need to log in before you can comment on or make changes to this bug.